com.dlsc.flexgantt.model.gantt

## Interface ICapacityObject

- All Superinterfaces:
    Comparable<ITimelineObject>, IPropertiesOwner, ITimelineObject
  All Known Implementing Classes:
    DefaultCapacityObject

      public interface ICapacityObject
      extends ITimelineObject

  Timeline objects that implement this interface can be visualized as capacity allocations. They have a start and an end time and a certain amount of capacity that they use on a resource.
  Since:
    1.0
  Version:
    $Revision: 1.9 $
  Author:
    Dirk Lemmermann

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getCapacityUsed()` Returns the used capacity of the object.
    `boolean` | `isCapacityChangeable()` Returns TRUE if the capacity used value can be edited.
    `void` | `setCapacityUsed(double capacity)` Changes the capacity used by the object.

    - ### Methods inherited from interface com.dlsc.flexgantt.model.gantt.ITimelineObject

      `getChildren, getDragActions, getLabel, getLineIndex, getPopupObject, getPopupTitleObject, getStatus, getTimeSpan, isDeletable, isDurationChangeable, isInPlaceEditable, isParent, isSelectable, isStartTimeChangeable, setTimeSpan`

    - ### Methods inherited from interface com.dlsc.flexgantt.model.IPropertiesOwner

      `getProperty, setProperty`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### setCapacityUsed

          void setCapacityUsed(double capacity)

      Changes the capacity used by the object.
      Parameters:
        `capacity` - the new capacity usage of the object
      Since:
        1.0
      See Also:
        `getCapacityUsed()`

    - #### getCapacityUsed

          double getCapacityUsed()

      Returns the used capacity of the object.
      Returns:
        the used capacity of the object
      Since:
        1.0
      See Also:
        `setCapacityUsed(double)`

    - #### isCapacityChangeable

          boolean isCapacityChangeable()

      Returns TRUE if the capacity used value can be edited.
      Returns:
        TRUE if the object's capacity used value can be edited
      Since:
        1.0
      See Also:
        `IEditCapacityObjectPolicy.isCapacityChangeable(TimelineObjectPath, IGanttChartModel)`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.